package com.gxzc.zen.rpc.api

import com.gxzc.zen.api.sys.model.SysDictValue

/**
 *
 * @author NorthLan
 * @date 2018/6/20
 * @url https://noahlan.com
 */
interface RDictService {
    /**
     * 获取缓存中所有的 字典值
     */
    fun getListCacheable(): MutableList<SysDictValue>

    /**
     * 根据type_code(code前缀)获取字典值列表
     */
    fun getDictValueListByTypeCode(typeCode: String): MutableList<SysDictValue>

    /**
     * 根据code值与value获取指定字典值
     */
    fun getDictValueByCodeAndValue(code: String, value: String): SysDictValue?

    /**
     * 根据code前缀与value获取指定字典值
     */
    fun getDictValueByPrefixAndValue(prefix: String, value: String): SysDictValue?
}